commit:     75ba0410baf1ead0e0b3ea05083f09d9f700508c
Author:     Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
AuthorDate: Fri Apr 24 19:25:51 2020 +0000
Commit:     Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
CommitDate: Fri Apr 24 20:01:34 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=75ba0410

net-im/telegram-desktop: bump to 2.1.0

Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Georgy Yakovlev <gyakovlev <AT> gentoo.org>

 net-im/telegram-desktop/Manifest                   |   1 +
 net-im/telegram-desktop/files/2.1.0-kde-dir.patch  |  51 ++++++++
 .../telegram-desktop/telegram-desktop-2.1.0.ebuild | 136 +++++++++++++++++++++
 3 files changed, 188 insertions(+)

diff --git a/net-im/telegram-desktop/Manifest b/net-im/telegram-desktop/Manifest
index a2241d57d0c..76099ebd88f 100644
--- a/net-im/telegram-desktop/Manifest
+++ b/net-im/telegram-desktop/Manifest
@@ -1,2 +1,3 @@
 DIST tdesktop-1.9.21-full.tar.gz 25848026 BLAKE2B 
503e22bcc83a64721aa4c4c6e8bca89c4c976703c338b1615c5ab1599098e98cbd220a94cffdbe24d9c305b44ffef7719ad1c2d2ad81f4ec6edc8377e1afa4ef
 SHA512 
ea02fc69e88ed6244ed420516bb7a93827cb85efaa0a7e9af7562aa1bc29184c5a2102caca8693c976b25d374832e0deb2ccbf00144d5340b5ffacbdc9dcebf1
 DIST tdesktop-2.0.1-full.tar.gz 26106949 BLAKE2B 
3975e7d42af8b323a86408e2301b292d94b308413bb92d135673fb12851cd6672156dcf9b631482fa9b8dc9361d9593dc1104c8c335e0c610706b308414db01b
 SHA512 
99cd7c5ca1e9dd75ecd98d272522b0e4aab2d46525e3d0c306503b7a00c9d25c1646e9d7462182682a58947c7435864af805a3b6f85906d8b21e5675cc8383cb
+DIST tdesktop-2.1.0-full.tar.gz 26133964 BLAKE2B 
c5eb476ea3ed02c2618e5b770bdce365bcf0d6124f75558570189e07e9dcd9f6f3282d53fec621be736cbd1269a9dd820629d4d9a36167d8f71109bfcd5a52e2
 SHA512 
46f5453c64d1dbd4cf8adde73fcc48e6b6f795972ab0f6516cb55112f47d5af990a049da356bedb81e6d3f7103c14a7be45369ff9a5a1812c07a1bfcda70646d

diff --git a/net-im/telegram-desktop/files/2.1.0-kde-dir.patch 
b/net-im/telegram-desktop/files/2.1.0-kde-dir.patch
new file mode 100644
index 00000000000..b936275e361
--- /dev/null
+++ b/net-im/telegram-desktop/files/2.1.0-kde-dir.patch
@@ -0,0 +1,51 @@
+From 7bc86cc9af28ba3d04a5cb69f6f7c16bfe7f8719 Mon Sep 17 00:00:00 2001
+From: Ilya Fedin <fedin-ilja2...@ya.ru>
+Date: Tue, 21 Apr 2020 23:05:17 +0400
+Subject: [PATCH] Fix directory opening with portal and use them by default
+ with KDE
+
+---
+ .../SourceFiles/platform/linux/file_utilities_linux.cpp     | 6 +++---
+ Telegram/SourceFiles/platform/linux/specific_linux.cpp      | 2 +-
+ 2 files changed, 4 insertions(+), 4 deletions(-)
+
+diff --git a/Telegram/SourceFiles/platform/linux/file_utilities_linux.cpp 
b/Telegram/SourceFiles/platform/linux/file_utilities_linux.cpp
+index 47dd56a411..88f8a69a91 100644
+--- a/Telegram/SourceFiles/platform/linux/file_utilities_linux.cpp
++++ b/Telegram/SourceFiles/platform/linux/file_utilities_linux.cpp
+@@ -83,11 +83,11 @@ constexpr auto kPreviewHeight = 512;
+ using Type = ::FileDialog::internal::Type;
+ 
+ #ifndef TDESKTOP_DISABLE_GTK_INTEGRATION
+-bool NativeSupported() {
++bool NativeSupported(Type type = Type::ReadFile) {
+ #ifndef TDESKTOP_FORCE_GTK_FILE_DIALOG
+       return false;
+ #endif // TDESKTOP_FORCE_GTK_FILE_DIALOG
+-      return !Platform::UseXDGDesktopPortal()
++      return (!Platform::UseXDGDesktopPortal() || type == Type::ReadFolder)
+               && Platform::internal::GdkHelperLoaded()
+               && (Libs::gtk_widget_hide_on_delete != nullptr)
+               && (Libs::gtk_clipboard_store != nullptr)
+@@ -192,7 +192,7 @@ bool Get(
+               parent = parent->window();
+       }
+ #ifndef TDESKTOP_DISABLE_GTK_INTEGRATION
+-      if (NativeSupported()) {
++      if (NativeSupported(type)) {
+               return GetNative(
+                       parent,
+                       files,
+diff --git a/Telegram/SourceFiles/platform/linux/specific_linux.cpp 
b/Telegram/SourceFiles/platform/linux/specific_linux.cpp
+index 0bb3963420..c12e5a0780 100644
+--- a/Telegram/SourceFiles/platform/linux/specific_linux.cpp
++++ b/Telegram/SourceFiles/platform/linux/specific_linux.cpp
+@@ -266,7 +266,7 @@ bool UseXDGDesktopPortal() {
+               const auto envVar = 
qEnvironmentVariableIsSet("TDESKTOP_USE_PORTAL");
+               const auto portalPresent = IsXDGDesktopPortalPresent();
+ 
+-              return envVar && portalPresent;
++              return (DesktopEnvironment::IsKDE() || envVar) && portalPresent;
+       }();
+ 
+       return UsePortal;

diff --git a/net-im/telegram-desktop/telegram-desktop-2.1.0.ebuild 
b/net-im/telegram-desktop/telegram-desktop-2.1.0.ebuild
new file mode 100644
index 00000000000..6c7b00706da
--- /dev/null
+++ b/net-im/telegram-desktop/telegram-desktop-2.1.0.ebuild
@@ -0,0 +1,136 @@
+# Copyright 2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+
+inherit cmake desktop flag-o-matic python-any-r1 xdg-utils
+
+MY_P="tdesktop-${PV}-full"
+
+DESCRIPTION="Official desktop client for Telegram"
+HOMEPAGE="https://desktop.telegram.org";
+SRC_URI="https://github.com/telegramdesktop/tdesktop/releases/download/v${PV}/${MY_P}.tar.gz";
+
+LICENSE="GPL-3-with-openssl-exception"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64"
+IUSE="+alsa +dbus enchant +hunspell libressl pulseaudio +spell wayland +X"
+
+RDEPEND="
+       !net-im/telegram-desktop-bin
+       app-arch/lz4:=
+       app-arch/xz-utils
+       !libressl? ( dev-libs/openssl:0= )
+       libressl? ( dev-libs/libressl:0= )
+       >=dev-cpp/ms-gsl-2.1.0
+       dev-cpp/range-v3
+       dev-libs/xxhash
+       dev-qt/qtcore:5
+       dev-qt/qtgui:5[jpeg,png,wayland?,X(-)?]
+       dev-qt/qtimageformats:5
+       dev-qt/qtnetwork:5
+       dev-qt/qtsvg:5
+       dev-qt/qtwidgets:5[png,X(-)?]
+       media-fonts/open-sans
+       media-libs/fontconfig:=
+       >=media-libs/libtgvoip-2.4.4_p20200301[alsa?,pulseaudio?]
+       media-libs/openal[alsa?,pulseaudio?]
+       media-libs/opus:=
+       media-video/ffmpeg:=[alsa?,opus,pulseaudio?]
+       sys-libs/zlib[minizip]
+       virtual/libiconv
+       dbus? (
+               dev-qt/qtdbus:5
+               dev-libs/libdbusmenu-qt[qt5(+)]
+       )
+       enchant? ( app-text/enchant:= )
+       hunspell? ( >=app-text/hunspell-1.7:= )
+       pulseaudio? ( media-sound/pulseaudio )
+"
+
+DEPEND="
+       ${PYTHON_DEPS}
+       ${RDEPEND}
+"
+
+BDEPEND="
+       >=dev-util/cmake-3.16
+       virtual/pkgconfig
+"
+
+REQUIRED_USE="
+       || ( alsa pulseaudio )
+       || ( X wayland )
+       spell? (
+               ^^ ( enchant hunspell )
+       )
+"
+
+S="${WORKDIR}/${MY_P}"
+
+PATCHES=( "${FILESDIR}/${PV}-kde-dir.patch" )
+
+src_configure() {
+       local mycxxflags=(
+               -Wno-deprecated-declarations
+               -Wno-error=deprecated-declarations
+               -Wno-switch
+       )
+
+       append-cxxflags "${mycxxflags[@]}"
+
+       # TODO: unbundle header-only libs, ofc telegram uses git versions...
+       # it fals with tl-expected-1.0.0, so we use bundled for now to avoid 
git rev snapshots
+       # EXPECTED VARIANT
+       local mycmakeargs=(
+               -DDESKTOP_APP_DISABLE_CRASH_REPORTS=ON
+               -DDESKTOP_APP_USE_GLIBC_WRAPS=OFF
+               -DDESKTOP_APP_USE_PACKAGED=ON
+               -DDESKTOP_APP_USE_PACKAGED_EXPECTED=OFF
+               -DDESKTOP_APP_USE_PACKAGED_RLOTTIE=OFF
+               -DDESKTOP_APP_USE_PACKAGED_VARIANT=OFF
+               -DTDESKTOP_LAUNCHER_BASENAME="${PN}"
+               -DDESKTOP_APP_DISABLE_DBUS_INTEGRATION="$(usex dbus OFF ON)"
+               -DDESKTOP_APP_DISABLE_SPELLCHECK="$(usex spell OFF ON)" # 
enables hunspell (recommended)
+               -DDESKTOP_APP_USE_ENCHANT="$(usex enchant ON OFF)" # enables 
enchant and disables hunspell
+       )
+
+       if [[ -n ${MY_TDESKTOP_API_ID} && -n ${MY_TDESKTOP_API_HASH} ]]; then
+               einfo "Found custom API credentials"
+               mycmakeargs+=(
+                       -DTDESKTOP_API_ID="${MY_TDESKTOP_API_ID}"
+                       -DTDESKTOP_API_HASH="${MY_TDESKTOP_API_HASH}"
+               )
+       else
+               # 
https://github.com/telegramdesktop/tdesktop/blob/dev/snap/snapcraft.yaml
+               # Building with snapcraft API credentials by default
+               # Custom API credentials can be obtained here:
+               # 
https://github.com/telegramdesktop/tdesktop/blob/dev/docs/api_credentials.md
+               # After getting credentials you can export variables:
+               #  export MY_TDESKTOP_API_ID="17349""
+               #  export 
MY_TDESKTOP_API_HASH="344583e45741c457fe1862106095a5eb"
+               # and restart the build"
+               # you can set above variables (without export) in 
/etc/portage/env/net-im/telegram-desktop
+               # portage will use custom variable every build automatically
+               mycmakeargs+=(
+                       -DTDESKTOP_API_ID="611335"
+                       -DTDESKTOP_API_HASH="d524b414d21f4d37f08684c1df41ac9c"
+               )
+       fi
+
+       cmake_src_configure
+}
+
+pkg_postinst() {
+       xdg_desktop_database_update
+       xdg_icon_cache_update
+       xdg_mimeinfo_database_update
+}
+
+pkg_postrm() {
+       xdg_desktop_database_update
+       xdg_icon_cache_update
+       xdg_mimeinfo_database_update
+}

Reply via email to